goocanvasmm: Goocanvas::GroupModel Class Reference

goocanvasmm 1.90.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Goocanvas::GroupModel Class Reference
Inheritance diagram for Goocanvas::GroupModel:
[legend]

List of all members.

## Public Member Functions
virtual | ~GroupModel ()
GooCanvasGroupModel* | gobj ()
| Provides access to the underlying C GObject.
const GooCanvasGroupModel* | gobj () const
| Provides access to the underlying C GObject.
GooCanvasGroupModel* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
## Static Public Member Functions
static Glib::RefPtr< GroupModel > | create ()
## Protected Member Functions
| GroupModel ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Goocanvas::GroupModel > | wrap (GooCanvasGroupModel* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Goocanvas::GroupModel::~GroupModel | ( |  | ) | `[virtual]`

Goocanvas::GroupModel::GroupModel | ( |  | ) | `[protected]`

## Member Function Documentation

static Glib::RefPtr<GroupModel> Goocanvas::GroupModel::create | ( |  | ) | `[static]`

Reimplemented in Goocanvas::TableModel.

const GooCanvasGroupModel* Goocanvas::GroupModel::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Goocanvas::ItemModelSimple.

Reimplemented in Goocanvas::TableModel.

GooCanvasGroupModel* Goocanvas::GroupModel::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Goocanvas::ItemModelSimple.

Reimplemented in Goocanvas::TableModel.

GooCanvasGroupModel* Goocanvas::GroupModel::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Goocanvas::ItemModelSimple.

Reimplemented in Goocanvas::TableModel.

## Friends And Related Function Documentation

Glib::RefPtr< Goocanvas::GroupModel > wrap | ( | GooCanvasGroupModel * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- goocanvasmm/groupmodel.h